<?php

namespace common\components;

use common\containers\CreditHistoryContainer;
use common\containers\ProducerPriceRangeContainer;
use common\containers\UserContainer;
use common\containers\ProducerContainer;
use common\containers\UserProducerContainer;

class BusinessLogic
{
    public function getUserContainer()
    {
        return new UserContainer();
    }

    public function getProducerContainer()
    {
        return new ProducerContainer();
    }

    public function getProducerPriceRangeContainer()
    {
        return new ProducerPriceRangeContainer();
    }

    public function getUserProducerContainer()
    {
        return new UserProducerContainer();
    }

    public function getCreditHistoryContainer()
    {
        return new CreditHistoryContainer();
    }
}